# Interface ArrayBufferView

interface ArrayBufferView {
buffer: ArrayBufferLike;
byteLength: number;
byteOffset: number;
}

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1722

#####
Index

### Properties

buffer
byteLength
byteOffset

## Properties

### buffer

buffer: ArrayBufferLike

The ArrayBuffer instance referenced by the array.

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1726

### byteLength

byteLength: number

The length in bytes of the array.

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1731

### byteOffset

byteOffset: number

The offset in bytes of the array.

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1736